import { w as withInstall } from "../badge/index2.js";
import { openBlock, createElementBlock, renderSlot } from "vue";
var _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const _sfc_main = {
  name: "LayDropdownMenu"
};
const _hoisted_1 = { class: "layui-menu layui-dropdown-menu" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("ul", _hoisted_1, [
    renderSlot(_ctx.$slots, "default")
  ]);
}
var LayDropdownMenu = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
const component = withInstall(LayDropdownMenu);
export { LayDropdownMenu as L, _export_sfc as _, component as c };
